Loading...
Searching...
No Matches
Error codes
Base API

Common error codes. More...

Collaboration diagram for Error codes:

## Enumerations

enum

l4_error_code_t {
L4_EOK = 0 , L4_EPERM = 1 , L4_ENOENT = 2 , L4_EIO = 5 ,
L4_ENXIO = 6 , L4_E2BIG = 7 , L4_EAGAIN = 11 , L4_ENOMEM = 12 ,
L4_EACCESS = 13 , L4_EFAULT = 14 , L4_EBUSY = 16 , L4_EEXIST = 17 ,
L4_ENODEV = 19 , L4_ENOTDIR = 20 , L4_EINVAL = 22 , L4_ENOSPC = 28 ,
L4_ERANGE = 34 , L4_ENAMETOOLONG = 36 , L4_ENOSYS = 38 , L4_EBADPROTO = 39 ,
L4_EADDRNOTAVAIL = 99 , L4_ERRNOMAX = 100 , L4_ENOREPLY = 1000 , L4_EMSGTOOSHORT = 1001 ,
L4_EMSGTOOLONG = 1002 , L4_EMSGMISSARG = 1003 , L4_EIPC_LO = 2000 , L4_EIPC_HI = 2000 + 0x1f
}

| L4 error codes. More...

## Detailed Description

Common error codes.

Include File
  #include <l4/sys/err.h>
  err.h
  Error codes.

## Enumeration Type Documentation

## l4_error_code_t

enum l4_error_code_t

L4 error codes.

Those error codes are used by both the kernel and the user programs.

Enumerator
L4_EOK | Ok.
L4_EPERM | No permission.
L4_ENOENT | No such entity.
L4_EIO | I/O error.
L4_ENXIO | No such device or address.
L4_E2BIG | Argument value too big.
L4_EAGAIN | Try again.
L4_ENOMEM | No memory.
L4_EACCESS | Permission denied.
L4_EFAULT | Invalid memory address.
L4_EBUSY | Object currently busy, try later.
L4_EEXIST | Already exists.
L4_ENODEV | No such thing.
L4_ENOTDIR | Not a directory.
L4_EINVAL | Invalid argument.
L4_ENOSPC | No space left on device.
L4_ERANGE | Range error.
L4_ENAMETOOLONG | Name too long.
L4_ENOSYS | No sys.
L4_EBADPROTO | Unsupported protocol.
L4_EADDRNOTAVAIL | Address not available.
L4_ERRNOMAX | Maximum error value.
L4_ENOREPLY | No reply.
L4_EMSGTOOSHORT | Message too short.
L4_EMSGTOOLONG | Message too long.
L4_EMSGMISSARG | Message has invalid capability.
L4_EIPC_LO | Communication error-range low.
L4_EIPC_HI | Communication error-range high.

Definition at line 30 of file err.h.